Bug 31362 - Start Catalina under JPDA debugger with "-security" option fails
Start Catalina under JPDA debugger with "-security" option fails
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.0.28
Other Windows XP
: P3 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-09-22 13:25 UTC by sherold
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sherold 2004-09-22 13:25:15 UTC
Starting Catalina under JPDA debugger with "-security" option fails. You will
get following error message:

Error occurred during initialization of VM
-Xrun library failed to init: jdwp
JDWP unable to access JVMDI Version 1.
Maybe you need to start the VM with the -Xdebug option

This is a windows jdk1.4 specific bug. It can be fixed by modifying the
bin/catalina.bat startup script like this:

- %_EXECJAVA% %JAVA_OPTS% %CATALINA_OPTS%
-Xrunjdwp:transport=%JPDA_TRANSPORT%,address=%JPDA_ADDRESS%,server=y,suspend=n
%DEBUG_OPTS%
+ %_EXECJAVA% %JAVA_OPTS% %CATALINA_OPTS% -Xdebug
-Xrunjdwp:transport=%JPDA_TRANSPORT%,address=%JPDA_ADDRESS%,server=y,suspend=n
%DEBUG_OPTS%
Comment 1 Yoav Shapira 2004-09-23 20:21:29 UTC
OK, fixed.  Thanks for pointing it out ;)